Package org.eclipse.mat.hprof

# Class HprofRandomAccessParser

java.lang.Object
org.eclipse.mat.hprof.HprofRandomAccessParser

public class HprofRandomAccessParser extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LAZY_LOADING_LIMIT`

## Constructor Summary

Constructors
Constructor
Description
`HprofRandomAccessParser(File file, String prefix, Version version, int identifierSize, long len, HprofPreferences.HprofStrictness strictnessPreference)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`IObject`
`read(int objectId, long position, ISnapshot dump, IIndexReader.IOne2LongIndex o2hprof)`
`long[]`
`readObjectArray(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor, int offset, int length)`
`byte[]`
`readPrimitiveArray(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor, int offset, int length)`
`static Object`
`readValue(IPositionInputStream in, ISnapshot snapshot, int type, int idSize)`
`List<IClass>`
`resolveClassHierarchy(ISnapshot snapshot, IClass clazz)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LAZY_LOADING_LIMIT

public static final int LAZY_LOADING_LIMIT

See Also:
  - Constant Field Values

## Constructor Details

### HprofRandomAccessParser

public HprofRandomAccessParser(File file, String prefix, Version version, int identifierSize, long len, HprofPreferences.HprofStrictness strictnessPreference) throws IOException

Throws:
  `IOException`

## Method Details

### close

public void close() throws IOException

Throws:
  `IOException`

### read

public IObject read(int objectId, long position, ISnapshot dump, IIndexReader.IOne2LongIndex o2hprof) throws IOException, SnapshotException

Throws:
  `IOException`
  `SnapshotException`

### resolveClassHierarchy

public List<IClass> resolveClassHierarchy(ISnapshot snapshot, IClass clazz) throws SnapshotException

Throws:
  `SnapshotException`

### readObjectArray

public long[] readObjectArray(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor, int offset, int length) throws IOException

Throws:
  `IOException`

### readPrimitiveArray

public byte[] readPrimitiveArray(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor, int offset, int length) throws IOException

Throws:
  `IOException`

### readValue

public static Object readValue(IPositionInputStream in, ISnapshot snapshot, int type, int idSize) throws IOException

Throws:
  `IOException`